javax.batch.api.chunk.listener

## Interface SkipWriteListener

    public interface SkipWriteListener

SkipWriteListener intercepts skippable itemWriter exception handling.

### Method Summary

Methods
`void` `onSkipWriteItem(List<Object> items, Exception ex)` The onSkipWriteItems method receives control when a skippable exception is thrown from an ItemWriter writeItems method.

### Method Detail

#### onSkipWriteItem

    void onSkipWriteItem(List<Object> items,
                       Exception ex)
                         throws Exception

The onSkipWriteItems method receives control when a skippable exception is thrown from an ItemWriter writeItems method. This method receives the exception and the items that were skipped as an input.

Parameters:
  `items` - specifies the list of item passed to the item writer.
  `ex` - specifies the exception thrown by the ItemWriter.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0